SELECT 
	MONTH(cout),
SUM(CASE
 WHEN deweyClass > 000 AND deweyClass < 100 THEN 1
 ELSE 0
 END) AS D000to099,
 SUM(CASE
 WHEN deweyClass > 100 AND deweyClass < 200 THEN 1
 ELSE 0
 END) AS D100to199,
 SUM(CASE
 WHEN deweyClass > 200 AND deweyClass < 300 THEN 1
 ELSE 0
 END) AS D200to299,
 SUM(CASE
 WHEN deweyClass > 300 AND deweyClass < 400 THEN 1
 ELSE 0
 END) AS D300to399,
 SUM(CASE
 WHEN deweyClass > 400 AND deweyClass < 500 THEN 1
 ELSE 0
 END) AS D400to499,
 SUM(CASE
 WHEN deweyClass > 500 AND deweyClass < 600 THEN 1
 ELSE 0
 END) AS D500to599,
 SUM(CASE
 WHEN deweyClass > 600 AND deweyClass < 700 THEN 1
 ELSE 0
 END) AS D600to699,
 SUM(CASE
 WHEN deweyClass > 700 AND deweyClass < 800 THEN 1
 ELSE 0
 END) AS D700to799,
 SUM(CASE
 WHEN deweyClass > 800 AND deweyClass < 900 THEN 1
 ELSE 0
 END) AS D800to899,
 SUM(CASE
 WHEN deweyClass > 900 AND deweyClass < 1000 THEN 1
 ELSE 0
 END) AS D900to999
 
FROM
    spl_2016.inraw
WHERE
    deweyClass >= 0 and 
    year(cout) = '2018' and
    month(cin) = '12'
GROUP BY MONTH(cout);